Update off-CHRT settlement state

Updates the status of an off-CHRT settlement statement. Used to manually transition OFF_CHRT statements between STAGED, OPEN, PAID, and VOID. | authz: org_type=[courier, forwarder], min_org_role=operator, authz_personas=[statement_owner_operators] | (StatementStatusEnum1) -> (Statement1)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

statement_idstringRequired

Request

This endpoint expects an object.
new_statusenumRequired
Allowed values:

Response

Successful Response
schema_versioninteger
_idstring
settlement_typeenum
Allowed values:
owned_by_org_idstring

Must be a string starting with org_

payment_vector_typeenum
Allowed values:
line_item_group_idslist of strings or null
amountinteger or null
unitsenum or null
Allowed values:
staged_by_user_idstring or null
payment_origin_org_idstring or null
payment_origin_off_chrt_shipper_org_idstring or null
payment_destination_org_idstring or null
payment_destination_driver_idstring or null
statusenum or null
Allowed values:
stripe_invoice_idstring or null
stripe_invoice_urlstring or null
stripe_invoice_created_by_user_idstring or null
stripe_invoice_statusenum or null
staged_at_timestampstring or nullformat: "date-time"
opened_at_timestampstring or nullformat: "date-time"
paid_at_timestampstring or nullformat: "date-time"
uncollectible_at_timestampstring or nullformat: "date-time"
marked_open_by_user_idstring or null
marked_paid_by_user_idstring or null
marked_uncollectible_by_user_idstring or null

Errors